Package ru.bitel.bgbilling.modules.dialup.server.event

# Class OpenPeriodRequestEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.common.LocalEvent
ru.bitel.bgbilling.modules.dialup.server.event.OpenPeriodRequestEvent

All Implemented Interfaces:
  `Serializable`, `ErrorReturnableEvent`

public class OpenPeriodRequestEvent extends ru.bitel.bgbilling.kernel.event.common.LocalEvent
Синхронное событие - запрос учетного периода BGRadiusDialup.
Для передачи периода необходимо в скрипте установить флаг processed и далее либо установить даты периода, либо не ставить что будет означать,
что событие обработано открытие периода запрещено. Событие обрабатывается в контексте RADIUS сервера.
Унаследован от `LocalEvent`

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `OpenPeriodRequestEvent()`
  ``
  `OpenPeriodRequestEvent(int mid, Contract contract, String loginName)`
  Конструктор события.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Contract`
  `getContract()`
  Возвращает объект договора, для которого создается сессия
  `String`
  `getLoginName()`
  Возвращает имя логина.
  `Calendar`
  `getPeriodEnd()`
  Возвращает окончание периода.
  `Calendar`
  `getPeriodStart()`
  Возвращает начало периода.
  `Calendar`
  `getRequestDate()`
  Возвращает дату запроса.
  `boolean`
  `isProcessed()`
  Проверяет, является ли запрос обработанным.
  `void`
  `setPeriodEnd(Calendar periodEnd)`
  Устанавливает окончание периода.
  `void`
  `setPeriodStart(Calendar periodStart)`
  Устанавливает начало периода.
  `void`
  `setProcessed(boolean processed)`
  Устанавливает, обработан ли запрос.
  true - обработан
  false - не обработан
  `void`
  `setRequestDate(Calendar requestDate)`
  Устанавливает дату запроса.

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.LocalEvent

  `getError, setError`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### OpenPeriodRequestEvent

    protected OpenPeriodRequestEvent()

  - ### OpenPeriodRequestEvent

    public OpenPeriodRequestEvent(int mid, Contract contract, String loginName)
    Конструктор события.
    Parameters:
      `mid` - - код модуля
      `contract` - - объект договора
      `loginName` - - имя логина

- ## Method Details

  - ### getRequestDate

    public Calendar getRequestDate()
    Возвращает дату запроса.
    Returns:
      requestDate - дата запроса

  - ### isProcessed

    public boolean isProcessed()
    Проверяет, является ли запрос обработанным.
    Returns:
      true - обработан; false - не обработан

  - ### getPeriodStart

    public Calendar getPeriodStart()
    Возвращает начало периода.
    Returns:
      periodStart - начало периода

  - ### setPeriodEnd

    public void setPeriodEnd(Calendar periodEnd)
    Устанавливает окончание периода.
    Parameters:
      `periodEnd` - - окончание периода

  - ### setRequestDate

    public void setRequestDate(Calendar requestDate)
    Устанавливает дату запроса.
    Parameters:
      `requestDate` - - новая дата запроса

  - ### setProcessed

    public void setProcessed(boolean processed)
    Устанавливает, обработан ли запрос.
    true - обработан
    false - не обработан
    Parameters:
      `processed` - - флаг обработки запроса

  - ### setPeriodStart

    public void setPeriodStart(Calendar periodStart)
    Устанавливает начало периода.
    Parameters:
      `periodStart` - - новое начало периода

  - ### getPeriodEnd

    public Calendar getPeriodEnd()
    Возвращает окончание периода.
    Returns:
      periodEnd - окончание периода

  - ### getLoginName

    public String getLoginName()
    Возвращает имя логина.
    Returns:
      loginName - имя логина

  - ### getContract

    public Contract getContract()
    Возвращает объект договора, для которого создается сессия
    Returns:
      contract - договор